Owczarzy11TandemLockedAcid
Date: 2014-08-08

melting.patternModels.specificAcids

## Class Owczarzy11TandemLockedAcid

- java.lang.Object
- - melting.patternModels.PatternComputation
  - - melting.patternModels.specificAcids.LockedAcidNNMethod
    - - melting.patternModels.specificAcids.Owczarzy11TandemLockedAcid

- All Implemented Interfaces:
    NamedMethod, PatternComputationMethod

      public class Owczarzy11TandemLockedAcid
      extends LockedAcidNNMethod
      implements NamedMethod

  This class represents the locked nucleic acid (AL, GL, CL or TL) model owc11. It extends PatternComputation. McTigue et al.(2004). Biochemistry 43 : 5388-5405

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `defaultFileName` String defaultFileName : default name for the xml file containing the thermodynamic parameters for locked nucleic acid

    - ### Fields inherited from class melting.patternModels.PatternComputation

      `collector, fileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Owczarzy11TandemLockedAcid()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the full name of the method.
    `void` | `initialiseFileName(java.lang.String methodName)` If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.
    `void` | `loadData(java.util.HashMap<java.lang.String,java.lang.String> options)` To load the necessary thermodynamic parameters of the implemented class.

    - ### Methods inherited from class melting.patternModels.specificAcids.LockedAcidNNMethod

      `computeThermodynamics, isApplicable, isMissingParameters`

    - ### Methods inherited from class melting.patternModels.PatternComputation

      `getCollector, getData, getDataFileName, loadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFileName

          public static java.lang.String defaultFileName

      String defaultFileName : default name for the xml file containing the thermodynamic parameters for locked nucleic acid

  - ### Constructor Detail

    - #### Owczarzy11TandemLockedAcid

          public Owczarzy11TandemLockedAcid()

  - ### Method Detail

    - #### initialiseFileName

          public void initialiseFileName(java.lang.String methodName)

      Description copied from interface: `PatternComputationMethod`
      If a file name is entered by the user, the file name of the model becomes the file name entered by the user, otherwise the default file name of the model is used.
      Specified by:
        `initialiseFileName` in interface `PatternComputationMethod`
      Overrides:
        `initialiseFileName` in class `PatternComputation`
      Parameters:
        `methodName` - : method or model name entered by the user.

    - #### loadData

          public void loadData(java.util.HashMap<java.lang.String,java.lang.String> options)

      Description copied from interface: `PatternComputationMethod`
      To load the necessary thermodynamic parameters of the implemented class.
      Specified by:
        `loadData` in interface `PatternComputationMethod`
      Overrides:
        `loadData` in class `PatternComputation`
      Parameters:
        `options` - which contains the current options. (default options and options entered by the user)

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Specified by:
        `getName` in class `LockedAcidNNMethod`
      Returns:
        The full name of the method.